export declare let devMode: boolean;
export declare abstract class AppSeed {
    readonly name: string;
    readonly version: string;
    protected _devMode: boolean;
    protected _terminated: boolean;
    protected abstract shutdown(): Promise<void>;
    constructor(name?: string, version?: string, correlator?: any);
    protected bootstrap(correlator?: any): void;
    protected get devMode(): boolean;
    protected set devMode(value: boolean);
}
